arno-iptables-firewall (2.1.2a-1) unstable; urgency=medium

  * New upstream version 2.1.2a
  * d/control: Update my email address to the d.o one.
  * d/copyright:
    - Update my email address to the d.o one.
    - Correct the license to GPL-2.

 -- Sven Geuer <sge@debian.org>  Wed, 17 Jul 2024 21:28:21 +0200

arno-iptables-firewall (2.1.2-1) unstable; urgency=medium

  * New upstream version 2.1.2.
  * d/gbp.conf: Switch debian-branch to debian/unstable.
  * d/p/debian_paths.patch: Adapt patch to new upstream version.
  * d/t/expected-config.d/iptables-_S: Adapt test to new upstream version.
  * d/NEWS: Point out changes breaking backward compatibility.
  * d/rules + d/arno-iptables-firewall.service: Apply a more elegant fix to
    let dh tools install the systemd service file.
  * d/copyright: Bump years where necessary.
  * d/control: Bump Standards-Version to 4.7.0.
  * d/changelog: Fix a typo in the entry regarding version 2.1.1a-2.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Tue, 21 May 2024 20:12:52 +0200

arno-iptables-firewall (2.1.1a-3) unstable; urgency=medium

  * Use dh tools to install the systemd service file (thanks to Chris
    Hofstaedtler <zeha@debian.org> for a patch) (Closes: #1058771).
  * d/salsa-ci.yml: Add variable SALSA_CI_DISABLE_BUILD_PACKAGE_ANY.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Tue, 19 Dec 2023 21:13:11 +0100

arno-iptables-firewall (2.1.1a-2) unstable; urgency=medium

  * d/control:
    - Move dependency from the transitional dnsutils to bind9-dnsutils.
    - Update Homepage to point to the repository on Github, the original home
      page seems unmaintained.
  * d/copyright:
    - Update Upstream-Contact to point to the Github issues.
    - Update Arno's email address.
    - Bump years to 2023 for Arno and Lonnie.
  * d/u/metadata:
    - Update Contact and Security-Contact to point to the Github issues.
    - Drop the FAQ field, the referenced URL is unmaintained.
  * d/rules:
    - Make use of execute_before/after_dh_command.
    - Simplify the recipe of execute_after_dh_installchangelogs.
    - Add '#export DH_VERBOSE=1'.
  * d/templates, d/po/*:
    - Request to call 'service…' to manually start the firewall, replacing
      'invoke-rc.d…'.
  * d/rules, d/post*, d/pre*:
    - Tidy rules and maintainer scripts regarding dh_installinit/systemd.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Tue, 07 Nov 2023 13:36:50 +0100

arno-iptables-firewall (2.1.1a-1) unstable; urgency=medium

  * New upstream release.
  * Adapt d/patches/* to new release.
    - Drop nf_conntrack_helper.patch which has been integrated upstream.
  * Update d/po/*.
    - Change field Report-Msgid-Bugs-To to point to the generic email
      address of the package rather than to the personal one of a former
      package maintainer.
    - Normalize '#. description' to '#. Description'.
    - Adjust line breaks of some multi-line fields in cs.po and ru.po.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Tue, 13 Jun 2023 14:08:35 +0200

arno-iptables-firewall (2.1.1-8) unstable; urgency=medium

  * Move systemd services from /usr/lib/systemd back to /lib/systemd
    (Closes: #1034213).

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sat, 22 Apr 2023 17:20:52 +0200

arno-iptables-firewall (2.1.1-7) unstable; urgency=medium

  * Backport upstream's fix regarding the kernel parameter
    net.netfilter.nf_conntrack_helper which does not exist anymore
    since kernel version 6.0.0 (Closes: #1031894).
  * Bump Standards-Version to 4.6.2; no more changes necessary.
  * Update renamed lintian tag in d/s/lintian-overrides.
  * Bump 2022 to 2023 in d/copyright.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Tue, 28 Feb 2023 22:07:04 +0100

arno-iptables-firewall (2.1.1-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove unnecessary constraint from Recommends.

  [ Sven Geuer ]
  * Bump years in d/copyright to 2022 where required.
  * Fix lintian error very-long-line-length-in-source-file by recovering the
    original file header. No change to meta data or effective content.
    - Update d/po/cs.po.
    - Update d/po/nb.po.
    - Update d/po/sv.po.
  * Bump Standards-Version to 4.6.1; no more changes necessary.
  * Refactor d/t/*.
    - Rename test1 to expected-config.
    - Drop test1_ prefix from the test1 helper files and move it into a
      dedicated directory expected-config.d.
    - Rename test2 to implicit-directories.
    - Update control.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Wed, 26 Oct 2022 14:27:40 +0200

arno-iptables-firewall (2.1.1-5) unstable; urgency=medium

  * Use upstream's logrotate configuration file instead of installing
    our own (Closes: #1004215).
    - Drop d/arno-iptables-firewall.logrotate.
  * Fix lintian error maintainer-script-supports-ancient-package-version.
    - Drop d/preinst.
  * Under systemd, make sure arno-iptables-firewall.service gets enabled. In
    addition simplify maintainer scripts.
    - Update d/postinst.
    - Update d/prerm.
    - Update d/postrm.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Mon, 24 Jan 2022 22:28:00 +0100

arno-iptables-firewall (2.1.1-4) unstable; urgency=medium

  * Fix lintian error systemd-service-in-odd-location.
    - Update d/arno-iptables-firewall.install to install upstream's lib/*
      to usr/lib/*.
  * Bump Standards-Version to 4.6.0; no more changes necessary.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Mon, 27 Sep 2021 19:10:17 +0200

arno-iptables-firewall (2.1.1-3) unstable; urgency=medium

  * Generalize d/watch to deal with occasional changes to the tarball link.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sat, 14 Aug 2021 21:19:48 +0200

arno-iptables-firewall (2.1.1-2) unstable; urgency=medium

  * Adapt watch file to recent changes to uscan.
  * Bump years in d/copyright where required.
  * Bump Standards-Version to 4.5.1; no more changes necessary.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Mon, 01 Feb 2021 19:52:06 +0100

arno-iptables-firewall (2.1.1-1) unstable; urgency=medium

  * New upstream release
  * Adapt d/patches/* to new release.
    - Drop manpage_upgrade.patch which has been integrated upstream.
    - Drop rpc_plugin_fix.patch which has been integrated upstream.
    - Update debian_paths.patch.
  * Update d/control.
    - Add gawk to Depends. The arno-fwfilter script requires it.
    - Simplify the rsyslogd version number the package depends on.
    - Fix some spellings of the Description.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sat, 19 Sep 2020 17:59:25 +0200

arno-iptables-firewall (2.1.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

  [ Sven Geuer ]
  * Fix Lintian errors unknown-field-in-templates.
    - Update d/templates.
  * Bump debhelper-compat to 13.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Fri, 28 Aug 2020 21:35:08 +0200

arno-iptables-firewall (2.1.0-3) unstable; urgency=medium

  * Backport an upstream fix to the rpc plugin.
    (Closes: #956552)
    - Introduce d/patches/rpc_plugin_fix.patch.
    - Update d/control to suggest rpcbind.
  * Correct header of d/patches/debian_paths.patch.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Tue, 14 Apr 2020 23:16:25 +0200

arno-iptables-firewall (2.1.0-2) unstable; urgency=medium

  [ Samuel Henrique ]
  * Add d/gbp.conf

  [ Sven Geuer ]
  * Use upstream's freshly introduced rsyslog configuration dropping the
    one locally maintained until now.
    (Closes: #950242)
    - Update d/patches/debian_paths.patch.
    - Remove d/arno-iptables-firewall.rsyslog.
    - Adapt d/control.
    - Adapt d/rules.
  * Upgrade manual page.
    (Closes: #955153)
    - Introduce d/patches/manpage_upgrade.patch.
  * Remove all dispensable entries from d/dirs and add a test to verify the
    affected directories get still installed.
    - Update d/dirs
    - Add d/tests/test2
    - Update d/tests/control
  * Fix grammatical error in latest entry to d/NEWS.
  * Update d/copyright.
  * Update d/upstream/metadata.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sat, 04 Apr 2020 22:48:39 +0200

arno-iptables-firewall (2.1.0-1) unstable; urgency=medium

  * New upstream release
  * Remove patches integrated upstream.
    - arno-fwfilter_manpage_fix
    - unit_file_addons
    - systemd-service-file-shutdown-problems
  * Adapt remaining patches and add .patch suffix.
    - hostip_url_fix.patch
    - lsb_init.patch
    - debian_paths.patch
  * Return to autopkgtest restriction isolation-machine as
    isolation-container only works reliable with debci localtest.
    - Update d/tests/control.
  * Refactor d/tests/test1 and test1* helper files for better maintainability.
  * Adapt expected iptables dump to this release.
    - Update d/tests/test1_iptables_-S.
  * Update d/NEWS.
  * Update d/copyright.
  * Bump Standards-Version to 4.5.0; no changes necessary.
    - Update d/control.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Fri, 24 Jan 2020 23:12:22 +0100

arno-iptables-firewall (2.0.3-3) unstable; urgency=medium

  [ Samuel Henrique ]
  * Add d/salsa-ci.yml

  [ Sven Geuer ]
  * Fix potential systemd service file shutdown problem
    - Introduce d/patches/systemd-service-file-shutdown-problems
  * Fix typo in manpage
    - Introduce d/patches/arno-fwfilter_manpage_fix
  * Fix introducing text of 00debconf.conf
    - Update d/postinst
    - Update d/tests/test1_00debconf.conf
  * Alter autopkgtest Restrictions from isolation-machine to
    isolation-container
    - Update d/tests/control
  * Update URLs of rocky.eld.leidenuniv.nl to https in d/*
  * Switch to DH compat format
    - Replace Build-Depends debhelper by debhelper-compat in d/control
    - Remove file d/compat
  * d/control:
    - Bump Standards-Version to 4.4.1
    - Add Rules-Requires-Root field
  * d/copyright
    - Add various authors missing for d/*
    - Group files and authors by license
  * d/test/*
    - rework test script and add workaround to run autopkgtest
      successfully on salsa.d.o.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sat, 23 Nov 2019 13:44:14 +0100

arno-iptables-firewall (2.0.3-2) unstable; urgency=medium

  * d/tests/*: Update test to run successfully with different
    kernel and iptables versions.
  * d/control: Update debhelper Build-Depends from 12 to 12~.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sat, 19 Jan 2019 13:40:04 +0100

arno-iptables-firewall (2.0.3-1) unstable; urgency=medium

  * New upstream release.
    (Closes: #824684, #862856, #886991, #898770, #913089)
  * New maintainer.
    (Closes: #886951)
  * Update Standards-Version to 4.3.0; no changes necessary.
  * Update debhelper compatibility level to 11.
  * Clean up Depends.
  * Update debian/copyright.
  * Update debian/watch.
  * Make use of dh_installlogrotate and simulate non-existing
    dh_installrsyslog
    - Move logrotate.d.conf to arno-iptables-firewall.logrotate
    - Move rsyslog.d.conf to arno-iptables-firewall.rsyslog
    - Update debian/rules
  * Add support for systemd as alternate init system in addition to sysvinit.
    - Refactor preinst, postinst, prerm, postrm.
  * Patch documentation and security related directives into systemd unit file.
  * Add lintian-override due to missing uplink pgp signature.
  * Add debian/upstream/metadata.
  * Update debian/templates to provide a valid default configuration.
  * Add debian/tests/* for autopkgtest.
  * Convert debian/po/fr.po and sv.po from latin1 to utf8.
  * Clean up debian/dirs
    - Remove redundant directories
  * Remove upgrade support for Debian Releases before squeeze.

  [ Samuel Henrique ]
  * Bump DH level to 12
  * d/control: Add Pre-Depends field required for DH 12
    (thanks to Sven Geuer for noticing)
  * d/copyright: update file

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sun, 13 Jan 2019 22:28:41 +0100

arno-iptables-firewall (2.0.1.f-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Depend on iproute2 instead of transitional package iproute.
    (Closes: #841001)

 -- Luca Boccassi <bluca@debian.org>  Fri, 05 Jan 2018 22:57:30 +0000

arno-iptables-firewall (2.0.1.f-1) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.6; no changes necessary.
  * Add package conflict to iptables-persistent to prevent undesired
    behavior that reverts all iptables rules set by this package
    (Closes: #778845).
  * Standardize and modernize debian/control via CME.
  * Install systemd service file (Closes: #803638, #796587), and adjust
    patches to use correct paths for Debian.

 -- Michael Hanke <mih@debian.org>  Tue, 29 Dec 2015 19:53:58 +0100

arno-iptables-firewall (2.0.1.e-1) unstable; urgency=low

  * New upstream release.
    - Removed TRACE option.
  * Updated debian/copyright.
  * Bumped Standards-Version to 3.9.5; no changes necessary.
  * Bumped debhelper compatibility level to 9.
  * Adjust update-rc.d call to replace unsupported use of 'start' and 'stop'
    commands with 'defaults' and rely on LSB header information.

 -- Michael Hanke <mih@debian.org>  Thu, 08 May 2014 16:07:04 +0200

arno-iptables-firewall (2.0.1.d-1) unstable; urgency=low

  * New upstream release.
    - New plugins: nat-loopback, outbound-snat
    - New 'status-plugins' sub-command.
    - Addressed spurious error messages in conjunction with kmod
      (Closes: #684424)

 -- Michael Hanke <mih@debian.org>  Mon, 17 Dec 2012 09:07:02 +0100

arno-iptables-firewall (2.0.1.c-1) unstable; urgency=low

  * Upstream bugfix release.
    - Fix a script 'IFS' issue if IPv6 and DMZ is enabled together with
      DMZ_HOST_OPEN_IP
    - Support for newer kernels (3.4+) which replace ipt_LOG & ip6t_LOG with
      xt_LOG

 -- Michael Hanke <mih@debian.org>  Thu, 28 Jun 2012 08:13:04 +0200

arno-iptables-firewall (2.0.1.b-3) unstable; urgency=low

  * Add patch to use LSB init functions for logging. Thanks to
    Mike Miller and Christian Perrier (Closes: #672326).

 -- Michael Hanke <mih@debian.org>  Sun, 13 May 2012 20:05:16 +0200

arno-iptables-firewall (2.0.1.b-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Hanke <mih@debian.org>  Mon, 23 Apr 2012 21:06:16 +0200

arno-iptables-firewall (2.0.1.b-1) experimental; urgency=low

  * New upstream release. The package now supports conf.d-style configuration
    snippets at /etc/arno-iptables-firewall/conf.d (Closes: #653421, #658458).
  * Replace dependency on lynx with curl, due to upstream changes.
  * Bumped Standards-Version to 3.9.3; no changes necessary.
  * Remove DM-Upload flag -- no longer necessary.
  * Make debian/copyright comprehensive and copyright-format 1.0 compatible.
  * Fix pending l10n issues (Thanks to Christian Perrier for coordination).
    Debconf translations:
  * Dutch; (Jeroen Schot).  Closes: #658454
  * Danish (Joe Hansen).  Closes: #661989
  * Polish (Michał Kułach).  Closes: #666776
  * Use dh_lintian to install overrides.

 -- Michael Hanke <mih@debian.org>  Tue, 10 Apr 2012 11:13:34 +0200

arno-iptables-firewall (2.0.1-1) unstable; urgency=low

  * New upstream release. arno-fwfilter is now installed into /usr/bin.
    Obsolete configuration option DNS_FAST_FAIL & RESOLV_IPS have been
    removed.
  * Updated debian/copyright.

 -- Michael Hanke <mih@debian.org>  Tue, 17 Jan 2012 08:26:33 +0100

arno-iptables-firewall (2.0.0.c-1) unstable; urgency=low

  * New upstream maintenance release. Fixed multicast configuration issue
    (Closes: #631424) and updated several plugins.
  * Change strict dependency on rsyslogd to 'recommends'. This software can be
    used with other syslog daemons. However, out-of-the-box configuration is
    currently only provided for rsyslogd -- the default Debian syslog flavor.
    (Closes: #633530)

 -- Michael Hanke <mih@debian.org>  Tue, 04 Oct 2011 16:58:03 +0200

arno-iptables-firewall (2.0.0.b-1) unstable; urgency=low

  * New upstream bugfix release (Closes: #619496).
    Upstream merged the URL change related to #613631, but not the default
    option setting.
  * Added Japanese po-debconf template translation (Closes: #626801).
    Thanks to Hideki Yamane.
  * Update rsyslog handling, as the 'reload' action was removed (Closes:
    #628607). Added versioned dependency on the respective rsyslog release.
    Thanks to Michael Biebl for reporting.
  * Bumped Standards-Version to 3.9.2; no changes necessary.

 -- Michael Hanke <mih@debian.org>  Thu, 23 Jun 2011 17:36:49 -0400

arno-iptables-firewall (2.0.0.a-2) unstable; urgency=low

  * Fix bashisms in ipsec plugin (Closes: #617510).

 -- Michael Hanke <mih@debian.org>  Sun, 13 Mar 2011 14:05:16 -0400

arno-iptables-firewall (2.0.0.a-1) unstable; urgency=low

  * New upstream release -- first with IPv6 support (Closes: #594345).
  * Converted packaging to debhelper's dh.
  * Fixed issue with missing location information in arno-fwfilter output
    (Closes: #613631). Thanks to Tony Evans for the report and the initial
    patch.
  * Updated maintainer email address.

 -- Michael Hanke <mih@debian.org>  Fri, 18 Feb 2011 11:24:59 -0500

arno-iptables-firewall (1.9.2.l-1) UNRELEASED; urgency=low

  * New upstream bugfix release. Merged missing init.d dependency patch with
    upstream (Closes: #594326).
  * Bumped Standards-Version to 3.9.1.0; no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 28 Aug 2010 09:25:20 -0400

arno-iptables-firewall (1.9.2.k-2) unstable; urgency=low

  * Move iproute from recommended to a dependency (Closes: #566117). Thanks to
    Tenno Sereme for reporting.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 11 Apr 2010 19:40:46 -0400

arno-iptables-firewall (1.9.2.k-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format
  * Move debconf patch into quilt series.
  * New patch to add missing init.d dependency on $remote_fs (forwarded
    upstream).

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 11 Apr 2010 16:08:48 -0400

arno-iptables-firewall (1.9.2.j-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.8.4.0; no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 06 Mar 2010 09:54:36 -0500

arno-iptables-firewall (1.9.2.h-1) unstable; urgency=low

  * New upstream release (Closes: #550222, #553036).
  * Unify dependency-based boot-order and old-style update-rc.d, to be similar
    to shorewall's behavior.
  * Add lintian override. The init script does handle 'stop', but it is
    shadowed by an if-clause. The 'else' branch handles 'stop' as well.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 10 Jan 2010 16:46:32 -0500

arno-iptables-firewall (1.9.2.f-1) unstable; urgency=low

  * New upstream release (Closes: #550222, #553036).
  * Adjust the legacy update-rc.d configuration to match the dependency-based
    setup determined from the LSB header of the init script.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 11 Nov 2009 08:23:31 -0500

arno-iptables-firewall (1.9.2.d-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 24 Aug 2009 07:40:12 -0400

arno-iptables-firewall (1.9.2.c-1) unstable; urgency=low

  * New upstream release. Missed release 1.9.0.b.
  * Bumped Standards-Version to 3.8.3.0; no changes necessary.
  * Added russian debconf translation (Closes: #541751). Thanks to Yuri Kozlov.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 23 Aug 2009 20:06:39 -0400

arno-iptables-firewall (1.9.2.a-1) unstable; urgency=low

  * New Upstream Version (Closes: #530045, #520011). Missed releases 1.9.0.c
    and 1.9.2.
  * Added spanish debconf translation (Closes: #522651). Thanks to Francisco
    Javier Cuadrado.
  * Bumped Standards-Version to 3.8.1; no changes necessary.
  * Increase debhelper compat-level to 5.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 09 Jun 2009 10:21:47 +0200

arno-iptables-firewall (1.9.0.b-1) unstable; urgency=low

  * New upstream version (Closes: #509684). Missed release 1.9.0.a.
  * Added default logging setup for rsyslog (including logrotate config).
    All firewall-related messages go into /var/log/arno-iptables-firewall
    by default. Updated README.Debian and NEWS.Debian accordingly. Thanks to
    Tim Small (Closes: #503198).
  * Do not install syslogd examples, since Debian switched to rsyslog.
  * All executable scripts are now installed into /usr/sbin, since they are
    useless for normal users without access to the logfiles.
  * Updated debian/copyright and converted it into a machine-readable format.
  * Added DM-allow flag.
  * Added VCS information to debian/control.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 28 Feb 2009 14:56:19 +0100

arno-iptables-firewall (1.8.8.o-3) unstable; urgency=low

  * Bumped Standards-Version to 3.8.0; no changes necessary.
  * Added "$network" to the init script's LSB Required-Start and Required-Stop
    header lines. Thanks to Chris Lamb for the patch (Closes: #493805).
  * Disabled IGD plugin by default (Closes: #493685).

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 12 Dec 2008 08:37:50 +0100

arno-iptables-firewall (1.8.8.o-2) unstable; urgency=low

  * Add dnsutils to the recommended packages (Closes: #471430).

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 18 Mar 2008 09:55:05 +0100

arno-iptables-firewall (1.8.8.o-1) unstable; urgency=low

  * New Upstream Version (Closes: #469322).
  * Fix broken multi-route plugin (Closes: #470634).
  * Make the package recommend lynx instead of depending on it, as it is only
    needed for the optional arno-fwfilter script.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 13 Mar 2008 11:30:26 +0100

arno-iptables-firewall (1.8.8.n-1) unstable; urgency=low

  * New Upstream Version (Closes: #466972). Missed 1.8.8m, which only lived
    for a few days.
  * Minor change to the packaging documentation. Thanks to Joost van Baal.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 28 Feb 2008 09:51:03 +0100

arno-iptables-firewall (1.8.8.l-1) unstable; urgency=low

  * New Upstream Version. Missed 1.8.8.j and 1.8.8.k.
  * Moved plugins to /usr/share/arno-iptables-firewall/plugins as they are
    not really config files. Updated NEWS.Debian and README.Debian to
    announce this change.
  * Fixed config file path in multiroute plugin.
  * Bumped Standards-Version to 3.7.3; no changes necessary.
  * Modified debian/watch file to only track stable releases.
  * Sponsored upload by Joost van Baal <joostvb@debian.org>.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 25 Jan 2008 16:15:58 +0100

arno-iptables-firewall (1.8.8.i-2) unstable; urgency=low

  * Added 'iproute' to the recommended packages, as it is required by one of
    the plugins. Thanks to Joost van Baal for spotting this one.
  * Added Portuguese debconf translation (Thanks to Américo Monteiro).
    Closes: #435181.
  * Switch to new-style homepage field in debian/control.
  * Sponsored upload by Joost van Baal <joostvb@debian.org>.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 26 Nov 2007 10:26:23 +0100

arno-iptables-firewall (1.8.8.i-1) unstable; urgency=low

  * New Upstream Version. Fixes a bug in the NAT forwarding rules which caused
    using subnets as source restriction not to work.
    New plugins: Racoon IPSEC VPN Plugin, transparent DNAT plugin
  * Cleanup of the rules file. Most install task are now done by debhelper
    instead of countless cp calls.
  * Stopped manual parsing of dpkg status database. MD5 sum extraction for
    moving conffiles on package upgrade is now done by using dpkg-query.
  * Abandoned dpatch in favor of Git.
  * Sponsored upload by Joost van Baal <joostvb@debian.org>.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon,  9 Jul 2007 12:07:57 +0200

arno-iptables-firewall (1.8.8.h-1) unstable; urgency=low

  * New upstream release. Fix broken plugin loader.
    (Closes: #409609, #412191)
  * Prevent parallel make threads in debian/rules to satisfy dpatch
    requirement.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 26 Feb 2007 21:51:55 +0100

arno-iptables-firewall (1.8.8.g-2) unstable; urgency=low

  * Added missing dependency to lynx (thanks to Joost van Baal).
  * Minor addition to the arno-fwfilter manpage (also thanks to Joost van
    Baal).
  * Added a note about plugin handling to README.Debian.
  * Sponsored upload by Joost van Baal <joostvb@debian.org>.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 22 Jan 2007 10:23:59 +0100

arno-iptables-firewall (1.8.8.g-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 14 Jan 2007 20:43:29 +0100

arno-iptables-firewall (1.8.8.f-1) unstable; urgency=low

  * New upstream release (1.8.8.d was never released and 'e' only lived
    for a few days).
  * Updated copyright file: License is now GPL v2 only.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue,  9 Jan 2007 16:17:19 +0100

arno-iptables-firewall (1.8.8.c-1) unstable; urgency=low

  * New upstream release (fixed MAC-filter).

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 30 Oct 2006 08:18:55 +0100

arno-iptables-firewall (1.8.8.b-1) unstable; urgency=low

  * New upstream release (missed 1.8.8.a).

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 27 Oct 2006 14:05:52 +0200

arno-iptables-firewall (1.8.8-1) unstable; urgency=low

  * New upstream release.
  * Moved all config files to /etc/arno-iptables-firewall. Noted in
    NEWS.Debian.
  * Fixed bug that the firewall was not configured and restarted properly on
    fresh installs.
  * The package uses debconf to inform the user about necessary restarts even
    if it was previously indicated that debconf management is not wanted. This
    is done because to user has to be informed anyway and debconf is the most
    configurable mechanism.
  * Fixed an inconvenience that caused the restart debconf question to be
    displayed twice.
  * Sponsored upload by Joost van Baal <joostvb@debian.org>.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat,  7 Oct 2006 21:30:22 +0200

arno-iptables-firewall (1.8.6.c-4) unstable; urgency=low

  * The diff is now managed using dpatch.
  * Added Brazilian Portuguese debconf translation (Thanks to Felipe Augusto
    van de Wiel). Closes: 390410
  * Added build-dependency to po-debconf.
  * Added minimal patch with LSB compliant init script description.
  * Sponsored upload by Joost van Baal <joostvb@debian.org>.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue,  3 Oct 2006 16:46:58 +0200

arno-iptables-firewall (1.8.6.c-3) unstable; urgency=low

  * Fixed typo in french translation. Thanks to Florentin Duneau.
    (Closes: #379109)
  * Sponsored upload by Joost van Baal <joostvb@debian.org>.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 21 Jul 2006 17:07:44 +0200

arno-iptables-firewall (1.8.6.c-2) unstable; urgency=low

  * French translation update. Thanks to  Florentin Duneau.(Closes: #367392)
  * Bumped Standards-Version to 3.7.2; no changes necessary.
  * Sponsored upload by Joost van Baal <joostvb@debian.org>.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 29 Jun 2006 15:04:13 +0200

arno-iptables-firewall (1.8.6.c-1) unstable; urgency=low

  * New upstream release.
  * Improved debconf templates to conform to the guidelines in the
    Developers Reference. (Closes: #360579)
  * Added several translations of the debconf templates (cs, nb, sv, vi, fr).
    Thanks to debian-i18n. (Closes: #361110, #362626)
  * Sponsored upload by Joost van Baal <joostvb@debian.org>.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu,  6 Apr 2006 20:06:06 +0200

arno-iptables-firewall (1.8.6.b-1) unstable; urgency=low

  * New upstream release.
  * First upload to Debian archive, sponsored by Joost van Baal
    <joostvb@debian.org> (Closes: #325696)

 -- Michael Hanke <michael.hanke@gmail.com>  Thu,  30 Mar 2006 11:27:22 +0100

arno-iptables-firewall (1.8.6.a-1) unstable; urgency=low

  * New upstream release.
  * Modified watch file to reflect the new versioning scheme.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed,  8 Mar 2006 21:16:45 +0100

arno-iptables-firewall (1.8.6-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 19 Feb 2006 09:24:43 +0100

arno-iptables-firewall (1.8.5-rc6-1) unstable; urgency=low

  * New upstream release-candidate.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 12 Feb 2006 15:50:49 +0100

arno-iptables-firewall (1.8.5-rc5-1) unstable; urgency=low

  * New upstream release-candidate.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue,  7 Feb 2006 15:11:04 +0100

arno-iptables-firewall (1.8.5-rc4-2) unstable; urgency=low

  * Bugfix: If specification of NATable internal network was left empty as
    recommended by debconf, the firewall failed to start.
  * Added a lintian override for the debconf related error
    'settitle-requires-versioned-depends config'. This package depends on
    the appropriate versions of debconf or cdebconf.
  * Updated Italian debconf translation (Thanks to Gianluca Ficarelli).

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 24 Jan 2006 20:24:37 +0100

arno-iptables-firewall (1.8.5-rc4-1) unstable; urgency=low

  * New upstream release-candidate.
  * Using debconf for this package is now optional.
  * Bugfix: debconf dependency.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 3 Jan 2006 20:52:57 +0100

arno-iptables-firewall (1.8.5-rc3-1) unstable; urgency=low

  * New upstream release-candidate. (Missed: 1.8.5-BETA1 (2005-10-30),
    1.8.5-RC1 (2005-12-02), 1.8.5-RC2 (2005-12-09)).

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 22 Dec 2005 14:33:59 +0100

arno-iptables-firewall (1.8.4d-2) unstable; urgency=low

  * Corrected several typos.
  * Moved arno-multiroute.sh to the examples.
  * Bugfix: Added alternative dependency to debconf-2.0.
  * Create an empty /etc/arno-firewall-custum-rules file on install.
  * Added comments about firewall logging to README.Debian.
  * Stripped debian/watch from useless comments.
  * Thanks to Joost van Baal for pointing at those bugs.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 23 Nov 2005 19:49:56 +0100

arno-iptables-firewall (1.8.4d-1) unstable; urgency=low

  * New upstream release
  * Custom iptable rules are now read from /etc/arno-firewall-custom-rules

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 27 Oct 2005 21:28:36 +0200

arno-iptables-firewall (1.8.4c-3) unstable; urgency=low

  * More precise debconf questions (Thanks to Gianluca Ficarelli).

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 12 Oct 2005 15:00:02 +0200

arno-iptables-firewall (1.8.4c-2) unstable; urgency=low

  * Bugfix: Syntax error in debian/config script.
  * Added German translation for debconf templates using po-debconf.
  * More descriptive debconf templates.
  * Split DC_OPEN_PORTS in DC_OPEN_TCP and DC_OPEN_UDP for a more precise
    configuration of open ports.
  * All debconf variables use the same name as the corresponding upstream
    variable, but with the prefix 'DC_'.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 10 Oct 2005 08:39:26 +0200

arno-iptables-firewall (1.8.4c-1) unstable; urgency=low

  * New upstream release.
  * New Debconf configuration procedure. NAT configuration is only attempted
    if internal network interfaces are specified. One can now configure
    internal network with and without access to external networks via Debconf.
  * Bugfix: NAT configuration did not work out of the box, because INTERNAL_NET
    was not set properly.
  * Improved Debconf templates.
  * The config script now properly unsets NAT-related variables when the
    internal network interfaces are removed during package reconfiguring.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon,  3 Oct 2005 14:05:06 +0200

arno-iptables-firewall (1.8.4b-6) unstable; urgency=low

  * Remove unused Debconf variable from config file.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun,  2 Oct 2005 20:59:36 +0200

arno-iptables-firewall (1.8.4b-5) unstable; urgency=low

  * Added debconf question whether the host should be pingable on the
    external network interfaces.
  * Change priorities of debconf question to minimize user interaction.
  * Improved debconf template with suggestions for the unsure.
  * Bugfix: Defaults for debconf were not correctly read from installed
    configuration file.
  * Bugfix: lintian reported too long description line in debian/control.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 26 Sep 2005 10:25:52 +0200

arno-iptables-firewall (1.8.4b-4) unstable; urgency=low

  * New package description.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 23 Sep 2005 10:57:06 +0200

arno-iptables-firewall (1.8.4b-3) unstable; urgency=low

  * NAT configuration for internal networks is now handled by debconf.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 22 Sep 2005 21:54:29 +0200

arno-iptables-firewall (1.8.4b-2) unstable; urgency=low

  * Renamed 'fwfilter' script to 'arno-fwfilter' to prevent name clashes.
  * Added manpage for 'arno-fwfilter'.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 19 Sep 2005 13:02:49 +0200

arno-iptables-firewall (1.8.4b-1) unstable; urgency=low

  * New upstream release that fixed some syntax errors in the config script.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 14 Sep 2005 19:46:55 +0200

arno-iptables-firewall (1.8.4a-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri,  9 Sep 2005 08:21:22 +0200

arno-iptables-firewall (1.8.4-2) unstable; urgency=low

  * The init.d script is now started just before the network interfaces are
    available during the boot process.
  * The package now cares for the initial setup of the external interface(s)
    via debconf.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue,  6 Sep 2005 20:50:58 +0200

arno-iptables-firewall (1.8.4-1) unstable; urgency=low

  * Initial Release.
  * Modified filename of the init.d script and the location
    of the configuration file to conform to the Debian policy.
  * Modified the 'reload' command of the init.d script to 'force-reload'.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 30 Aug 2005 11:12:25 +0200
